Prepare for building on build.eclipse.org:
* Change all version numbers to 0.7.0
* Update / cleanup names (bundle & provider)
* Fix some configuration warnings (build.properties)
* Remove Java-Builder from ot.runtime (not needed)
diff --git a/org.eclipse.jdt.core.tests.compiler/META-INF/MANIFEST.MF b/org.eclipse.jdt.core.tests.compiler/META-INF/MANIFEST.MF
index d204301..f772c0f 100644
--- a/org.eclipse.jdt.core.tests.compiler/META-INF/MANIFEST.MF
+++ b/org.eclipse.jdt.core.tests.compiler/META-INF/MANIFEST.MF
@@ -19,5 +19,5 @@
  org.eclipse.core.runtime;bundle-version="[3.2.0,4.0.0)",
  org.eclipse.test.performance;bundle-version="[3.1.0,4.0.0)",
  org.eclipse.core.resources;bundle-version="[3.2.0,4.0.0)",
- org.eclipse.objectteams.otdt;bundle-version="[1.3.0,2.0.0)"
+ org.eclipse.objectteams.otdt
 Bundle-RequiredExecutionEnvironment: J2SE-1.4